Install and start Docker:
  pkg.installed:
    - pkgs:
       - docker.io
  pip.installed:
    - name: docker
  service.running:
    - name: docker
    
{% for vhost,config in pillar["vhosts"].items() %}
Create docker network-{{ vhost }}:
  docker_network.present:
    - name: network-{{ vhost }}
    - internal: False
{% endfor %}